"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x114777a60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x114777af0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x114777b80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x114777c10>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x114777ca0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x114777d30>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x114777dc0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x114777e50>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x114777ee0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x114777f70>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x11477e040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11477e0d0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11477e160>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11477e1f0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11477e280>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11477e310>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11477e3a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11477e430>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11477e4c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11477e550>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11477e5e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11477e670>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11477e700>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11477e790>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11477e8b0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11477e820>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11477e940>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11477e9d0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11477ea60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11477eaf0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11477eb80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11477ec10>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11477eca0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11477ed30>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11477edc0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11477ee50>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x11477eee0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x11477ef70>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x114780040>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1147800d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x114780160>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1147801f0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x114780280>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x114780310>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1147803a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x114780430>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1147804c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x114780550>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1147805e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x114780670>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x114780700>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x114780790>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x114780820>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1147808b0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x114780940>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1147809d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x114780a60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x114780af0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x114780b80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x114780c10>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x114780ca0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x114780d30>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x114780dc0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x114780e50>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x114780ee0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1147840d0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x114780f70>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x114784160>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1147841f0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x114784280>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x114784310>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1147843a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1147844c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x114784430>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x114784550>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1147845e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x114784670>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x114784790>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x114784700>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x114784820>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1147848b0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x114784940>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1147849d0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x114784a60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x114784af0>)]
name: str = 'fr_HOCCN'
